//
//	read RAF - invoke as
//	SAS_VERBOSITY=10; readraf <raffile>
//	
//
#include <iostream>
#include <fstream>

#include "STime.h"
#include "AttitudeLocator.h"

class RafAttitudeLocator : public AttitudeLocator {
public:
	RafAttitudeLocator(const string &setName,
					   const STime &from,
					   const STime &to) :
						OalChild<OalServer>(0)
	{
		constructFromRAF(setName, from, to);
	}
};

int main(int argc, char **argv)
{
	if (argc != 2) {
		cerr<<"Usage: "<<argv[0]<<" <rafname>\n";
		return 1;
	}

	ifstream raf(argv[1]);
	string start, stop;
	raf>>start;
	raf>>stop;
	STime t0(start),
		  t1(stop);

	RafAttitudeLocator ral(argv[1], t0, t1);

	return 0;
}
